Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# DataColumnsWithJoins

*** ** * ** ***

Kotlin \|[Java](https://developer.android.com/reference/android/provider/ContactsContract.DataColumnsWithJoins "View this page in Java")

```
protected interface DataColumnsWithJoins : BaseColumns, ContactsContract.ContactNameColumns, ContactsContract.ContactOptionsColumns, ContactsContract.ContactStatusColumns, ContactsContract.ContactsColumns, ContactsContract.DataColumns, ContactsContract.DataUsageStatColumns, ContactsContract.RawContactsColumns, ContactsContract.StatusColumns
```

|---|
| [android.provider.ContactsContract.DataColumnsWithJoins](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumnsWithJoins#) |

|---|
| Known Direct Subclasses [ContactsContract.CommonDataKinds.Callable](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Callable), [ContactsContract.CommonDataKinds.Contactables](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Contactables), [ContactsContract.CommonDataKinds.Email](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Email), [ContactsContract.CommonDataKinds.Event](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Event), [ContactsContract.CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership), [ContactsContract.CommonDataKinds.Identity](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity), [ContactsContract.CommonDataKinds.Im](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Im), [ContactsContract.CommonDataKinds.Nickname](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname), [ContactsContract.CommonDataKinds.Note](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Note), [ContactsContract.CommonDataKinds.Organization](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Organization), [ContactsContract.CommonDataKinds.Phone](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone), [ContactsContract.CommonDataKinds.Photo](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Photo), and 7 others. |---|---| | [ContactsContract.CommonDataKinds.Callable](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Callable) | Convenient functionalities for "callable" data. | | [ContactsContract.CommonDataKinds.Contactables](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Contactables) | A special class of data items, used to refer to types of data that can be used to attempt to start communicating with a person (`https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone` and `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Email`). | | [ContactsContract.CommonDataKinds.Email](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Email) | A data kind representing an email address. | | [ContactsContract.CommonDataKinds.Event](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Event) | A data kind representing an event. | | [ContactsContract.CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership) | Group Membership. | | [ContactsContract.CommonDataKinds.Identity](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity) | A data kind representing an Identity related to the contact. | | [ContactsContract.CommonDataKinds.Im](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Im) | A data kind representing an IM address | | [ContactsContract.CommonDataKinds.Nickname](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname) | A data kind representing the contact's nickname. | | [ContactsContract.CommonDataKinds.Note](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Note) | Notes about the contact. | | [ContactsContract.CommonDataKinds.Organization](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Organization) | A data kind representing an organization. | | [ContactsContract.CommonDataKinds.Phone](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone) | A data kind representing a telephone number. | | [ContactsContract.CommonDataKinds.Photo](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Photo) | A data kind representing a photo for the contact. | | [ContactsContract.CommonDataKinds.Relation](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Relation) | A data kind representing a relation. | | [ContactsContract.CommonDataKinds.SipAddress](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress) | A data kind representing a SIP address for the contact. | | [ContactsContract.CommonDataKinds.StructuredName](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName) | A data kind representing the contact's proper name. | | [ContactsContract.CommonDataKinds.StructuredPostal](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredPostal) | A data kind representing a postal addresses. | | [ContactsContract.CommonDataKinds.Website](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website) | A data kind representing a website related to the contact. | | [ContactsContract.Contacts.Photo](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Contacts.Photo) | A *read-only* sub-directory of a single contact that contains the contact's primary photo. | | [ContactsContract.Data](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data) | Constants for the data table, which contains data points tied to a raw contact. | |

Combines all columns returned by `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data` table queries.

## Summary

| Inherited constants ||
|---|---|
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#ACCOUNT_TYPE_AND_DATA_SET:kotlin.String` A concatenation of the account type and data set (delimited by a forward slash) - if the data set is empty, this will be the same as the account type. For applications that need to be aware of the data set, this can be used instead of account type to distinguish sets of data. This is never intended to be used for specifying accounts. This column does \*not\* escape forward slashes in the account type or the data set. If this is an issue, consider using `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.SyncColumns#ACCOUNT_TYPE:kotlin.String` and `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DATA_SET:kotlin.String` directly. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#AGGREGATION_MODE:kotlin.String` The aggregation mode for this contact. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#BACKUP_ID:kotlin.String` Persistent unique id for each raw_contact within its account. This id is provided by its own data source, and can be used to backup metadata to the server. This should be unique within each set of account_name/account_type/data_set <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#CONTACT_ID:kotlin.String` A reference to the `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` that this data belongs to. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DATA_SET:kotlin.String` The data set within the account that this row belongs to. This allows multiple sync adapters for the same account type to distinguish between each others' data. This is empty by default, and is completely optional. It only needs to be populated if multiple sync adapters are entering distinct data for the same account type and account name. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DELETED:kotlin.String` The "deleted" flag: "0" by default, "1" if the row has been marked for deletion. When android.content.ContentResolver#delete is called on a raw contact, it is marked for deletion and removed from its aggregate contact. The sync adaptor deletes the raw contact on the server and then calls ContactResolver.delete once more, this time passing the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String` query parameter to finalize the data removal. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#METADATA_DIRTY:kotlin.String` Flag indicating that a raw contact's metadata has changed, and its metadata needs to be synchronized by the server. Type: INTEGER (boolean) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#RAW_CONTACT_IS_READ_ONLY:kotlin.String` The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String`. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#RAW_CONTACT_IS_USER_PROFILE:kotlin.String` Flag that reflects whether this raw contact belongs to the user's personal profile entry. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#AVAILABLE:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#AWAY:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CAPABILITY_HAS_CAMERA:kotlin.Int` An allowed flag of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CHAT_CAPABILITY:kotlin.String`. Indicates that the contact's device has a camera that can be used for video chat (e.g. a front-facing camera on a phone). <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CAPABILITY_HAS_VIDEO:kotlin.Int` An allowed flag of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CHAT_CAPABILITY:kotlin.String`. Indicates that the contact's device can display a video feed. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CAPABILITY_HAS_VOICE:kotlin.Int` An allowed flag of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CHAT_CAPABILITY:kotlin.String`. Indicates audio-chat capability (microphone and speaker) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#CHAT_CAPABILITY:kotlin.String` Contact's audio/video chat capability level. Type: INTEGER (one of the values below) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#DO_NOT_DISTURB:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#IDLE:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#INVISIBLE:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#OFFLINE:kotlin.Int` An allowed value of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE:kotlin.String` Contact's latest presence level. Type: INTEGER (one of the values below) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE_CUSTOM_STATUS:kotlin.String` <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#PRESENCE_STATUS:kotlin.String` <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS:kotlin.String` Contact latest status update. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_ICON:kotlin.String` The resource ID of the icon for the source of the status update. This resource should be scoped by the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_RES_PACKAGE:kotlin.String`. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_LABEL:kotlin.String` The resource ID of the label describing the source of the status update, e.g. "Google Talk". This resource should be scoped by the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_RES_PACKAGE:kotlin.String`. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_RES_PACKAGE:kotlin.String` The package containing resources for this status: label and icon. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusColumns#STATUS_TIMESTAMP:kotlin.String` The absolute time in milliseconds when the latest status was inserted/updated. Type: NUMBER <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE:kotlin.String` Carrier presence information. Type: INTEGER (A bitmask of CARRIER_PRESENCE_\* fields) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE_VT_CAPABLE:kotlin.Int` Indicates that the entry is Video Telephony (VT) capable on the current carrier. An allowed bitmask of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA10:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA11:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA12:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA13:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA14:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA15:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific. By convention, this field is used to store BLOBs (binary data). <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA4:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA5:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA6:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA7:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA8:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA9:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA_VERSION:kotlin.String` The version of this data record. This is a read-only value. The data column is guaranteed to not change without the version going up. This value is monotonically increasing. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_PRIMARY:kotlin.String` Whether this is the primary entry of its kind for the raw contact it belongs to. Type: INTEGER (if set, non-0 means true) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_READ_ONLY:kotlin.String` The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String`. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_SUPER_PRIMARY:kotlin.String` Whether this is the primary entry of its kind for the aggregate contact it belongs to. Any data record that is "super primary" must also be "primary". Type: INTEGER (if set, non-0 means true) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` The MIME type of the item represented by this row. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#PREFERRED_PHONE_ACCOUNT_COMPONENT_NAME:kotlin.String` The flattened `https://developer.android.com/reference/kotlin/android/content/ComponentName.html#` of a `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` that is the preferred `PhoneAccountHandle` to call the contact with. On a multi-SIM device this field can be used in a `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone` row to indicate the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` to call the number with, instead of using `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#getDefaultOutgoingPhoneAccount(kotlin.String)` or asking every time. `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#placeCall(android.net.Uri,%20android.os.Bundle)` should be called with `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#EXTRA_PHONE_ACCOUNT_HANDLE:kotlin.String` set to the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` using the `https://developer.android.com/reference/kotlin/android/content/ComponentName.html#` from this field. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#PREFERRED_PHONE_ACCOUNT_ID:kotlin.String` The ID of a `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` that is the preferred `PhoneAccountHandle` to call the contact with. Used by `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone`. On a multi-SIM device this field can be used in a `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone` row to indicate the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` to call the number with, instead of using `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#getDefaultOutgoingPhoneAccount(kotlin.String)` or asking every time. `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#placeCall(android.net.Uri,%20android.os.Bundle)` should be called with `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#EXTRA_PHONE_ACCOUNT_HANDLE:kotlin.String` set to the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` using the id from this field. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#RAW_CONTACT_ID:kotlin.String` A reference to the `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` that this data belongs to. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#RES_PACKAGE:kotlin.String` The package name to use when creating `https://developer.android.com/reference/kotlin/android/content/res/Resources.html#` objects for this data row. This value is only designed for use when building user interfaces, and should not be used to infer the owner. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC1:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC2:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC3:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC4:kotlin.String` Generic column for use by sync adapters. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_CHAT_CAPABILITY:kotlin.String` Contact Chat Capabilities. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusUpdates` for individual definitions. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_PRESENCE:kotlin.String` Contact presence status. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.StatusUpdates` for individual status definitions. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS:kotlin.String` Contact's latest status update. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_ICON:kotlin.String` The resource ID of the icon for the source of contact status. This resource is scoped by the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_RES_PACKAGE:kotlin.String`. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_LABEL:kotlin.String` The resource ID of the label describing the source of contact status, e.g. "Google Talk". This resource is scoped by the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_RES_PACKAGE:kotlin.String`. Type: NUMBER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_RES_PACKAGE:kotlin.String` The package containing resources for this status: label and icon. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactStatusColumns#CONTACT_STATUS_TIMESTAMP:kotlin.String` The absolute time in milliseconds when the latest status was inserted/updated. Type: NUMBER <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#CONTACT_LAST_UPDATED_TIMESTAMP:kotlin.String` Timestamp (milliseconds since epoch) of when this contact was last updated. This includes updates to all data associated with this contact including raw contacts. Any modification (including deletes and inserts) of underlying contact data are also reflected in this timestamp. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#DISPLAY_NAME:kotlin.String` The display name for the contact. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#HAS_PHONE_NUMBER:kotlin.String` An indicator of whether this contact has at least one phone number. "1" if there is at least one phone number, "0" otherwise. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#IN_DEFAULT_DIRECTORY:kotlin.String` Flag that reflects whether the contact exists inside the default directory. Ie, whether the contact is designed to only be visible outside search. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#IN_VISIBLE_GROUP:kotlin.String` Flag that reflects the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#GROUP_VISIBLE:kotlin.String` state of any `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership` for this contact. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#IS_USER_PROFILE:kotlin.String` Flag that reflects whether this contact represents the user's personal profile entry. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#LOOKUP_KEY:kotlin.String` An opaque value that contains hints on how to find the contact if its row id changed as a result of a sync or aggregation. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#NAME_RAW_CONTACT_ID:kotlin.String` Reference to the row in the RawContacts table holding the contact name. Type: INTEGER REFERENCES raw_contacts(_id) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_FILE_ID:kotlin.String` Photo file ID of the full-size photo. If present, this will be used to populate `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String`. The ID can also be used with `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DisplayPhoto#CONTENT_URI:android.net.Uri` to create a URI to the photo. If this is present, `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_ID:kotlin.String` is also guaranteed to be populated. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_ID:kotlin.String` Reference to the row in the data table holding the photo. A photo can be referred to either by ID (this field) or by URI (see `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_THUMBNAIL_URI:kotlin.String` and `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String`). If PHOTO_ID is null, consult `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String` or `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_THUMBNAIL_URI:kotlin.String`, which is a more generic mechanism for referencing the contact photo, especially for contacts returned by non-local directories (see `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Directory`). Type: INTEGER REFERENCES data(_id) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_THUMBNAIL_URI:kotlin.String` A URI that can be used to retrieve a thumbnail of the contact's photo. A photo can be referred to either by a URI (this field or `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String`) or by ID (see `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_ID:kotlin.String`). If PHOTO_ID is not null, PHOTO_URI and PHOTO_THUMBNAIL_URI shall not be null (but not necessarily vice versa). If the content provider does not differentiate between full-size photos and thumbnail photos, PHOTO_THUMBNAIL_URI and `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String` can contain the same value, but either both shall be null or both not null. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_URI:kotlin.String` A URI that can be used to retrieve the contact's full-size photo. If PHOTO_FILE_ID is not null, this will be populated with a URI based off `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DisplayPhoto#CONTENT_URI:android.net.Uri`. Otherwise, this will be populated with the same value as `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_THUMBNAIL_URI:kotlin.String`. A photo can be referred to either by a URI (this field) or by ID (see `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactsColumns#PHOTO_ID:kotlin.String`). If either PHOTO_FILE_ID or PHOTO_ID is not null, PHOTO_URI and PHOTO_THUMBNAIL_URI shall not be null (but not necessarily vice versa). Thus using PHOTO_URI is a more robust method of retrieving contact photos. Type: TEXT <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#CUSTOM_RINGTONE:kotlin.String` URI for a custom ringtone associated with the contact. If null or missing, the default ringtone is used. Type: TEXT (URI to the ringtone) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#LAST_TIME_CONTACTED:kotlin.String` The last time a contact was contacted. **Caution:** If you publish your app to the Google Play Store, this field is obsolete, regardless of Android version. For more information, see the [Contacts Provider](https://developer.android.com/reference/kotlin/guide/topics/providers/contacts-provider#ObsoleteData) page. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#PINNED:kotlin.String` The position at which the contact is pinned. If `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.PinnedPositions#UNPINNED:kotlin.Int`, the contact is not pinned. Also see `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.PinnedPositions`. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#SEND_TO_VOICEMAIL:kotlin.String` Whether the contact should always be sent to voicemail. If missing, defaults to false. Type: INTEGER (0 for false, 1 for true) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#STARRED:kotlin.String` Is the contact starred? Type: INTEGER (boolean) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactOptionsColumns#TIMES_CONTACTED:kotlin.String` The number of times a contact has been contacted. **Caution:** If you publish your app to the Google Play Store, this field is obsolete, regardless of Android version. For more information, see the [Contacts Provider](https://developer.android.com/reference/kotlin/guide/topics/providers/contacts-provider#ObsoleteData) page. Type: INTEGER <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_ALTERNATIVE:kotlin.String` An alternative representation of the display name, such as "family name first" instead of "given name first" for Western names. If an alternative is not available, the values should be the same as `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_PRIMARY:kotlin.String`. A contacts provider is free to provide alternatives as necessary for its target market. For example the default Android Open Source Project contacts provider currently provides an alternative in a single case: if the display name is based on the structured name and the structured name follows the Western full name style, then the field contains the "family name first" version of the full name. Other cases may be added later. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_PRIMARY:kotlin.String` The standard text shown as the contact's display name, based on the best available information for the contact (for example, it might be the email address if the name is not available). The information actually used to compute the name is stored in `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_SOURCE:kotlin.String`. A contacts provider is free to choose whatever representation makes most sense for its target market. For example in the default Android Open Source Project implementation, if the display name is based on the structured name and the structured name follows the Western full-name style, then this field contains the "given name first" version of the full name. <br /> <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_SOURCE:kotlin.String` The kind of data that is used as the display name for the contact, such as structured name or email address. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DisplayNameSources`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#PHONETIC_NAME:kotlin.String` Pronunciation of the full name in the phonetic alphabet specified by `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#PHONETIC_NAME_STYLE:kotlin.String`. The value may be set manually by the user. This capability is of interest only in countries with commonly used phonetic alphabets, such as Japan and Korea. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.PhoneticNameStyle`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#PHONETIC_NAME_STYLE:kotlin.String` The phonetic alphabet used to represent the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#PHONETIC_NAME:kotlin.String`. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.PhoneticNameStyle`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#SORT_KEY_ALTERNATIVE:kotlin.String` Sort key based on the alternative representation of the full name, `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_ALTERNATIVE:kotlin.String`. Thus for Western names, it is the one using the "family name first" format. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#SORT_KEY_PRIMARY:kotlin.String` Sort key that takes into account locale-based traditions for sorting names in address books. The default sort key is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.ContactNameColumns#DISPLAY_NAME_PRIMARY:kotlin.String`. For Chinese names the sort key is the name's Pinyin spelling, and for Japanese names it is the Hiragana version of the phonetic name. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataUsageStatColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataUsageStatColumns#LAST_TIME_USED:kotlin.String` The last time (in milliseconds) this `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data` was used. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataUsageStatColumns#TIMES_USED:kotlin.String` The number of times the referenced `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data` has been used. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/BaseColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_COUNT:kotlin.String` The count of rows in a directory. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` The unique ID for a row. Type: INTEGER (long) <br /> | ||